Subject: bug#61223: 29.0.60; treesit--install-language-grammar-build-recipe refers github

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Feb 2023 11:03:05 +0200

> Cc: [email-masked], [email-masked]
> From: Yuan Fu <[email-masked]>
> Date: Wed, 1 Feb 2023 22:17:56 -0800
> 
> I noticed that treesit-install-language-grammar now automatically builds
> the repository url from github:
> 
> (let ((repo-default (format "https://github.com/tree-sitter/tree-sitter-%s" lang)))
>          (read-string
>           "Enter the URL of the Git repository of the language grammar: "
>           (and (treesit--check-repo-url repo-default) repo-default)))
> 
> 
> AFAICT GNU don’t want to promote/refer to github, that’s why I didn’t
> include “official” grammar repositories in
> treesit-language-source-alist. Was there a discussion that I missed?
> 
> This is a nice feature, but I’d hate having to remove it later, after
> users have noticed it and started using/depending on it, due to some GNU
> policy.

I don't see a problem here: it's just the default we offer when a
grammar is available from the Tree-sitter site.  It's a far cry from
having a database full of GitHub URLs that we'd need to maintain and
keep up to date.